Avro C#

Public Member Functions | List of all members
Avro.Generic.PreresolvingDatumWriter< T >.ArrayAccess Interface Reference

Defines the interface for a class that provides access to an array implementation. More...

## Public Member Functions
void | EnsureArrayObject (object value)
| Checks if the given object is an array. If it is a valid array, this function returns normally. Otherwise, it throws an exception. The default implementation checks if the value is an array. More...
long | GetArrayLength (object value)
| Returns the length of an array. The default implementation requires the object to be an array of objects and returns its length. The default implementation guarantees that EnsureArrayObject() has been called on the value before this function is called. More...
void | WriteArrayValues (object array, WriteItem valueWriter, Encoder encoder)
| Writes each value in the given array to the encoder using the valueWriter . The default implementation of this method requires that the array is an object array. More...

## Detailed Description

Defines the interface for a class that provides access to an array implementation.

## Member Function Documentation

## ◆ EnsureArrayObject()

void Avro.Generic.PreresolvingDatumWriter< T >.ArrayAccess.EnsureArrayObject | ( | object | value | ) |

Checks if the given object is an array. If it is a valid array, this function returns normally. Otherwise, it throws an exception. The default implementation checks if the value is an array.

Parameters

  value |

## ◆ GetArrayLength()

long Avro.Generic.PreresolvingDatumWriter< T >.ArrayAccess.GetArrayLength | ( | object | value | ) |

Returns the length of an array. The default implementation requires the object to be an array of objects and returns its length. The default implementation guarantees that EnsureArrayObject() has been called on the value before this function is called.

Parameters

  value | The object whose array length is required

Returns
  The array length of the given object

## ◆ WriteArrayValues()

void Avro.Generic.PreresolvingDatumWriter< T >.ArrayAccess.WriteArrayValues | ( | object | array,
|  | WriteItem | valueWriter,
|  | Encoder | encoder
| ) |  |

Writes each value in the given array to the encoder using the valueWriter . The default implementation of this method requires that the array is an object array.

Parameters

  array | The array object
  valueWriter | Value writer to send the array to.
  encoder | Encoder to the write the array values to.

The documentation for this interface was generated from the following file:

- src/apache/main/Generic/PreresolvingDatumWriter.cs